    # File lib/rvg/misc.rb, line 556
                    def baseline_shift(value)
                        @text_attrs.baseline_shift = case value
                            when 'baseline', 'sub', 'super'
                                value.intern
                            when /[-+]?\d+%/, Numeric
                                value
                            else
                                :baseline
                            end
                        nil
                    end